Metafunction
AndC
Metaprogramming boolean "and" operatand, value variant.
AndC<B1, B2>::Type
AndC<B1, B2>::VALUE
Include Headers
seqan/basic.h
Parameters

B1 | Left-hand argument. Types: bool
B2 | Right-hand argument. Types: bool

Return Values
B1 && B2.
Examples
AndC<false, true>::Type
AndC<false, false>::VALUE
AndC<AndC<false, true>::VALUE, false>::Type
AndC<AndC<false, true>, true>::Type
See Also
And, OrC, NotC, AndC, Or
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59